#include <data/comboitem.h>
#include "person.h"

Person::Person()
{
}
int Person::id() const
{
    return m_id;
}

void Person::setId(int value)
{
    m_id = value;
}
QString Person::getFirstName() const
{
    return firstName;
}

void Person::setFirstName(const QString &value)
{
    firstName = value;
}
QString Person::getLastName() const
{
    return lastName;
}

void Person::setLastName(const QString &value)
{
    lastName = value;
}
QSharedPointer<QObject> Person::address() const
{
    return m_address;
}

void Person::setAddress(const QSharedPointer<QObject> &address)
{
    if (qobject_cast<Address*>(address.data()) != NULL)
    {
        m_address = qSharedPointerDynamicCast<Address, QObject>(address);
    }
}




